Bug 498829 - F12 boot CD hangs at SYSLINUX stage
F12 boot CD hangs at SYSLINUX stage
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: syslinux (Show other bugs)
12
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-03 13:57 EDT by Joachim Frieben
Modified: 2010-12-04 02:23 EST (History)
1 user (show)

See Also:
Fixed In Version: syslinux-3.84-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-04 02:23:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joachim Frieben 2009-05-03 13:57:43 EDT
Description of problem:
Neither the F11-Preview i686 live CD nor the latest boot.iso allow to boot beyond the SYSLINUX stage on an INTEL PR440FX system. The GRUB menu is never reached.

Version-Release number of selected component (if applicable):
syslinux-3.75-1.fc11.i586

How reproducible:
Always.

Steps to Reproduce:
1. Boot from current "rawhide" boot.iso.
  
Actual results:
System hangs after displaying the SYSLINUX greeting [.. H. Peter Anvin ..].

Expected results:
System boots from boot.iso successfully and displays GRUB menu.

Additional info:
F11-Snap1-Live-i686 booted as expected. So do other media like Ubuntu 9.04 x86 desktop CD or OpenSuse 11.2 Alpha live CD. The F11-Preview i686 live and boot.ido media are ok since they boot on a different system.
Comment 1 Jeremy Katz 2009-05-04 09:21:49 EDT
Is there an updated bios available for the system?  Can you try holding down shift during the boot process and see if works then?
Comment 2 Joachim Frieben 2009-05-04 11:22:14 EDT
Installed BIOS version 1.00.09.DI0 was the last one issued by INTEL for this particular mainboard.

Pressing <shift> during boot time allows to recover the "boot:" argument line. After typing "vmlinuz0" and <enter>, the kernel actually boots to the point where a kernel panic occurs:

  EXT3-fs: unable to read superblock
  EXT4-fs: unable to read superblock
  EXT4-fs: Update your userspace programs to mount using ext4
  EXT4-fs: ext4dev backwards compatibility will go away by 2.6.31
  EXT4-fs: unable to read superblock
  isofs_fill_super: bread failed, dev=md2, iso_blknum=16, block=32
  List of all partitions:
  0b00  1048575 sr0 driver: sr
  No filesystem could mount root, tried: ext3 ext4 ext4dev iso9660
  Kernel panic - not syncing: VFS: Unable to mount root fs on unknown-block(9,2)
Comment 3 Jeremy Katz 2009-05-04 14:27:59 EDT
These errors indicate that the drive is unable to read the disc, either due to a bad disc, a bad burn, too fast of a burn or a dying CD drive.  There's not really much we can do to work around that.
Comment 4 Joachim Frieben 2009-05-05 05:28:22 EDT
The original report clearly states that the media for -both- F11 Preview and "rawhide" boot.iso are perfectly usable on other systems and hence faultless.The DVD drive attached to the INTEL PR440FX system [http://smolt.fedoraproject.org/show?UUID=pub_05a2d989-d555-4ea8-9009-78c6de5e9e44] is a quasi new SONY DDU-1612 which allows to boot from every other media which has been burnt by myself on my main system [http://www.smolts.org/client/show/pub_ce3d646e-2918-44c9-a6c0-10fb3d9a0180] using an also quasi new DVD burner model HP DVD840. Operating systems which have been booted successfully from these media include Fedora 10 x86, Ubuntu 9.04 x86, F11 Snap1 x86, OpenSolaris 2009.06 build 111a ..

For the sake of verification, I have completed the following steps:

1. Download F11-Preview-i686-Live.iso via torrent.
2. Compute sha256sum of ISO image and compare with checksum file [PASSED].
3. Burn ISO image to CD-ROM using brasero at the lowest speed with activated
   burnproof protection [PASSED].
4. Read ISO image from media: 'dd if=/dev/sr0 of=test.iso'. Compute checksum
   of test.iso and compare it with the original one [PASSED].
5. Boot INTEL PR440FX from system disk and perform step 4 [PASSED].
6. Reboot INTEL PR440FX and boot from media [FAILED].

There is not the shadow of a doubt that this issue is for real. Thus reopening. I will recheck against the official F11 install media and report results here.
Comment 5 Joachim Frieben 2009-05-23 14:12:24 EDT
Identical error message for CD burnt from http://alt.fedoraproject.org/pub/alt/stage/f11-rc0.1/Fedora-11-i686-Live/Fedora-11-i686-Live.iso .
Boots correctly on other systems.
Comment 6 Joachim Frieben 2009-05-28 15:19:34 EDT
I have just installed a current Ubuntu 9.10 alternate x86 snapshot from CD without any hassle on the PR440FX system reported above. The media was produced exactly as any other one mentioned earlier. This confirms my initial observation that -any- Fedora boot.iso or live CD posterior to F11-Snap1 x86 fails to boot on said system whereas no other recently burnt media of alternate OS [Ubuntu 9.04 x86 desktop CD, OpenSuse 11.2 Alpha live CD, ReactOS 0.3.9 live CD, Ubuntu 9.10 x86 alternate CD, Opensolaris 2006 build 111a] shows this behaviour. DVD-Burner, CD-R drive of target system and CD raw media were identical in all cases.
If there are any directions in which to explore any further, I am happy to do so.
Comment 7 Joachim Frieben 2009-05-30 12:19:34 EDT
Closing test list with:
- http://alt.fedoraproject.org/pub/alt/stage/f11-rc2/Fedora-11-i686-Live/Fedora-11-i686-Live.iso [FAILED]
- CentOS-5.3-i386-LiveCD.iso [PASSED]
Comment 8 Bug Zapper 2009-06-09 11:04:33 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Joachim Frieben 2009-09-06 09:18:21 EDT
Two live CDs burnt using the same media and the same DVD-burner confirm the same behaviour as observed before:

                            | Intel PR440FX  |  Tyan S2865
------------------------------------------------------------
Fedora 12 Alpha Snap 1 i686 |       -        |      +
------------------------------------------------------------
Ubuntu 9.10 i386 2009-09-05 |       +        |      +
Comment 10 Joachim Frieben 2009-09-15 17:23:13 EDT
I have just checked Fedora 12 Alpha Snap 2 i686, and it does not work either. However, I have finally managed to establish that neither media or drive are responsible of this failure:

Running 'qemu -boot d -cdrom /dev/sr0' on this very system using both drive and media which failed when booting the system itself allows to boot the live CD inside QEMU even beyond the GRUB boot menu of the live CD whereas on the real system, the GRUB menu would never be reached.
Comment 11 Joachim Frieben 2010-03-28 06:56:58 EDT
CD media desktop-i386-20100324.21.iso from http://alt.fedoraproject.org/pub/alt/nightly-composes/desktop boots as expected again. Thus, current syslinux-3.84-1.fc13 is not affected by this issue anymore unlike respective builds of syslinux-3.75 present in F11 and F12, both of which would not boot on an Intel PR440FX.
Comment 12 Bug Zapper 2010-04-27 10:05:52 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2010-11-04 07:17:18 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.